{$A8} {$R-}
{*************************************************************}
{                                                             }
{       Borland Delphi Visual Component Library               }
{       InterBase Express core components                     }
{                                                             }
{       Copyright (c) 1998-2005 Borland Software Corporation  }
{                                                             }
{    InterBase Express is based in part on the product        }
{    Free IB Components, written by Gregory H. Deatz for      }
{    Hoagland, Longo, Moran, Dunst & Doukas Company.          }
{    Free IB Components is used under license.                }
{                                                             }
{    Additional code created by Jeff Overcash and used        }
{    with permission.                                         }
{                                                             }
{    Traducido por German C.C. - German@oksoft.org            }
{                                                             }
{*************************************************************}

unit IBXConst;

interface

uses IBUtils;

const
  IBX_Version = 10.10;

resourcestring
{ generic strings used in code }
  SIBDatabaseEditor = 'Edi&tor de Bases de Datos...'; //'Da&tabase Editor...';
  SIBTransactionEditor = 'Editor de &Transacciones...'; //'&Transaction Editor...';
  SDatabaseFilter = 'Archivos de Base de Datos (*.gdb)|*.gdb|Todos los Archivos (*.*)|*.*'; //'Database Files (*.gdb)|*.gdb|All files (*.*)|*.*';
  SDisconnectDatabase = 'La Base de Datos est actualmente conectada. Desea desconectar y continuar?'; //'Database is currently connected. Disconnect and continue?';
  SCommitTransaction = 'La transaccin est actualmente activa. Desea deshacer (Rollback) y continuar?'; //'Transaction is currently Active. Rollback and continue?';
  SExecute = 'E&jecutar'; //'E&xecute';
  SNoDataSet = 'No hay asociacin con ningn DataSet'; //'No dataset association';
  SSQLGenSelect = 'Es necesario seleccionar al menos un campo clave y un campo de actualizacin'; //'Must select at least one key field and one update field';
  SSQLNotGenerated = 'Sentencias de actualizacin SQL no generadas. Desea salir de todas maneras?'; //'Update SQL statements not generated, exit anyway?';
  SIBUpdateSQLEditor = 'Editor de &UpdateSQL...'; //'&UpdateSQL Editor...';
  SIBDataSetEditor = 'Editor de &Dataset...'; //'&Dataset Editor...';
  SSQLDataSetOpen = 'No es posible determinar nombres de campo para %s'; //'Unable to determine field names for %s';
  SDefaultTransaction = '%s, Por defecto'; //'%s, Default';

{ strings used in error messages}
  SUnknownError = 'Error desconocido'; //'Unknown error';
{$IFDEF MSWINDOWS}
  SInterBaseMissing = 'La librera de InterBase gds32.dll no se ha encontrado en la ruta. Por favor, instale InterBase para utilizar sta funcionalidad'; //'InterBase library gds32.dll not found in the path. Please install InterBase to use this functionality';
{$ENDIF}
{$IFDEF LINUX}
  SInterBaseMissing = 'La librera de InterBase gds.so.0 no se ha encontrado en la ruta. Por favor, instale InterBase para utilizar sta funcionalidad'; //'InterBase library gds.so.0 not found in the path. Please install InterBase to use this functionality';
{$ENDIF}
  SInterBaseInstallMissing = 'La libreria de instalacin de InterBase ibinstall.dll no se ha encontrado en la ruta. Por favor, instale InterBase 6 para utilizar sta funcionalidad'; //'InterBase Install DLL ibinstall.dll not found in the path. Please install InterBase 6 to use this functionality';
  SIB60feature = '%s es una funcin de InterBase 6. Por favor, actualice a InterBase 6 para utilizar sta funcionalidad'; //'%s is an InterBase 6 function. Please upgrade to InterBase 6 to use this functonality';
  SNotSupported = 'Caracterstica no soportada'; //'Unsupported feature';
  SNotPermitted = 'No permitido'; //'Not permitted';
  SFileAccessError = 'Error de acceso al archivo temporal'; //'Temporary file access error';
  SConnectionTimeout = 'Conexin con la Base de Datos fuera de tiempo'; //'Database connection timed out';
  SCannotSetDatabase = 'No es posible asignar la Base de Batos'; //'Cannot set database';
  SCannotSetTransaction = 'No es posible asignar la transaccin'; //'Cannot set transaction';
  SOperationCancelled = 'Operacin cancelada a peticin del usuario'; //'Operation cancelled at user''s request';
  SDPBConstantNotSupported = 'La constante DPB (isc_dpb_%s) no est soportada'; //'DPB Constant (isc_dpb_%s) is unsupported';
  SDPBConstantUnknown = 'La constante DPB (%d) es desconocida'; //'DPB Constant (%d) is unknown';
  STPBConstantNotSupported = 'La constante TPB (isc_tpb_%s) no est soportada'; //'TPB Constant (isc_tpb_%s) is unsupported';
  STPBConstantUnknown = 'La constante TPB (%d) es desconocida'; //'TPB Constant (%d) is unknown';
  SDatabaseClosed = 'No es posible realizar la operacin -- La Base de Datos no est abierta'; //'Cannot perform operation -- DB is not open';
  SDatabaseOpen = 'No es posible realizar la operacin -- La Base de Datos est actualmente abierta'; //'Cannot perform operation -- DB is currently open';
  SDatabaseNameMissing = 'Falta el nombre del DataBase'; //'Database name is missing';
  SNotInTransaction = 'La transaccin no est activa'; //'Transaction is not active';
  SInTransaction = 'La transaccin est activa'; //'Transaction is active';
  STimeoutNegative = 'Los valores de tiempo (TimeOut) no pueden ser negativos'; //'Timeout values cannot be negative';
  SNoDatabasesInTransaction = 'No hay bases de datos listadas en el componente de transaccin'; //'No databases are listed in transaction component';
  SUpdateWrongDB = 'Actualizando Base de Datos equivocada'; //'Updating wrong database';
  SUpdateWrongTR = 'Actualizando transaccin equivocada. Se esperaba transaccin nica en el conjunto'; //'Updating wrong transaction. Unique transaction expected in set';
  SDatabaseNotAssigned = 'Base de Datos no asignada'; //'Database not assigned';
  STransactionNotAssigned = 'Transaccin no asignada'; //'Transaction not assigned';
  SXSQLDAIndexOutOfRange = 'ndice XSQLDA fuera de rango'; //'XSQLDA index out of range';
  SXSQLDANameDoesNotExist = 'Nombre XSQLDA inexistente (%s)'; //'XSQLDA name does not exist (%s)';
  SEOF = 'Fin de archivo'; //'End of file';
  SBOF = 'Principio de archivo'; //'Beginning of file';
  SInvalidStatementHandle = 'Handle de declaracin invlido'; //'Invalid statement handle';
  SSQLOpen = 'IBSQL abierto'; //'IBSQL Open';
  SSQLClosed = 'IBSQL cerrado'; //'IBSQL Closed';
  SDatasetOpen = 'DataSet abierto'; //'Dataset open';
  SDatasetClosed = 'DataSet cerrado'; //'Dataset closed';
  SUnknownSQLDataType = 'Tipo de datos SQL desconocido (%d)'; //'Unknown SQL Data type (%d)';
  SInvalidColumnIndex = 'ndice de columna invlido (el ndice excede el rango permitido)'; //'Invalid column index (index exceeds permitted range)';
  SInvalidParamColumnIndex = 'ndice de parmetro invlido (el ndice excede el rango permitido)'; //'Invalid parameter index (index exceeds permitted range)';
  SInvalidDataConversion = 'Conversin de datos invlida'; //'Invalid data conversion';
  SColumnIsNotNullable = 'No es posible asignar NULL a la columna (%s)'; //'Column cannot be set to null (%s)';
  SBlobCannotBeRead = 'No es posible leer el flujo Blob'; //'Blob stream cannot be read';
  SBlobCannotBeWritten = 'No es posible escribir en el flujo Blob'; //'Blob stream cannot be written';
  SEmptyQuery = 'Consulta vaca'; //'Empty query';
  SCannotOpenNonSQLSelect = 'No es posible "abrir" una declaracin no SELECT. Utilice ExecQuery.'; //'Cannot "open" a non-select statement. Use ExecQuery';
  SNoFieldAccess = 'Sin acceso al campo "%s"'; //'No access to field "%s"';
  SFieldReadOnly = 'El campo "%s" es de slo lectura'; //'Field "%s" is read-only';
  SFieldNotFound = 'Campo "%s" no encontrado'; //'Field "%s" not found';
  SNotEditing = 'No est en modo edicin'; //'Not in edit mode';
  SCannotInsert = 'No es posible insertar en el DataSet. (No hay consulta de insercin)'; //'Cannot insert into dataset. (No insert query)';
  SCannotPost = 'No es posible grabar en el DataSet. (No hay consulta de actualizacin/insercin)'; //'Cannot post. (No update/insert query)';
  SCannotUpdate = 'No es posible actualizar. (No hay consulta de actualizacin)'; //'Cannot update. (No update query)';
  SCannotDelete = 'No es posible borrar en el DataSet. (No hay consulta de borrado)'; //'Cannot delete from dataset. (No delete query)';
  SCannotRefresh = 'No es posible actualizar la fila. (No hay consulta de actualizacin)'; //'Cannot refresh row. (No refresh query)';
  SBufferNotSet = 'Buffer no asignado'; //'Buffer not set';
  SCircularReference = 'No se permiten las referencias circulares'; //'Circular references not permitted';
  SSQLParseError = 'Error de Anlisis SQL (Parse):' + CRLF + CRLF + '%s'; //'SQL Parse Error:' + CRLF + CRLF + '%s';
  SUserAbort = 'Abortado por el usuario'; //'User abort';
  SDataSetUniDirectional = 'El DataSet es unidireccional'; //'Data set is uni-directional';
  SCannotCreateSharedResource = 'No es posible crear el recurso compartido. (Error de Windows %d)'; //'Cannot create shared resource. (Windows error %d)';
  SWindowsAPIError = 'Error del API de Windows. (Error de Windows %d [$%.8x])'; //'Windows API error. (Windows error %d [$%.8x])';
  SColumnListsDontMatch = 'Las listas de columnas no coinciden'; //'Column lists do not match';
  SColumnTypesDontMatch = 'Los tipos de columnas no coinciden. (Desde el ndice: %d; hasta el ndice: %d)'; //'Column types don''t match. (From index: %d; To index: %d)';
  SCantEndSharedTransaction = 'No se puede terminar una transaccin compartida a menos que sea forzada e ' +
                             'igualada a la propiedad TimeoutAction de la transaccin'; //'Can''t end a shared transaction unless it is forced and equal ' + 'to the transaction''s TimeoutAction';
  SFieldUnsupportedType = 'Tipo de Campo No Soportado'; //'Unsupported Field Type';
  SCircularDataLink = 'Referencia circular en el DataLink'; //'Circular DataLink Reference';
  SEmptySQLStatement = 'Declaracin SQL vaca'; //'Empty SQL Statement';
  SIsASelectStatement = 'Use Open para una declaracin Select'; //'use Open for a Select Statement';
  SRequiredParamNotSet = 'No est asignado el valor Param requerido'; //'Required Param value not set';
  SNoStoredProcName = 'Nombre de Stored Procedure no asignado'; //'No Stored Procedure Name assigned';
  SIsAExecuteProcedure = 'Utilice ExecProc para Procedure. Utilice TQuery para procedimientos de Select'; //'use ExecProc for Procedure; use TQuery for Select procedures';
  SUpdateFailed = 'Fall la actualizacin (Update)'; //'Update Failed';
  SNotCachedUpdates = 'CachedUpdates no habilitado'; //'CachedUpdates not enabled';
  SNotLiveRequest = 'El Request no es "en directo" - No es posible modificarlo'; //'Request is not live - cannot modify';
  SNoProvider = 'Sin proveedor'; //'No Provider';
  SNoRecordsAffected = 'Sin registros afectados'; //'No Records Affected';
  SNoTableName = 'Nombre de tabla no asignado'; //'No Table Name assigned';
  SCannotCreatePrimaryIndex = 'No es posible crear el ndice Primario. Es creado automticamente.'; //'Cannot Create Primary Index; are created automatically';
  SCannotDropSystemIndex = 'No es posible soltar (Drop) el ndice del Sistema'; //'Cannot Drop System Index';
  STableNameMismatch = 'Nombre de tabla no correspondiente'; //'Table Name Mismatch';
  SIndexFieldMissing = 'Falta ndice de campo'; //'Index Field Missing';
  SInvalidCancellation = 'No es posible cancelar eventos mientras se estn procesando'; //'Cannot Cancel events while processing';
  SInvalidEvent = 'Evento invlido'; //'Invalid Event';
  SMaximumEvents = 'Se ha excedido el nmero mximo de eventos'; //'Exceded Maximum Event limits';
  SNoEventsRegistered = 'Sin Eventos Registrados'; //'No Events Registered';
  SInvalidQueueing = 'Encolamiento invlido'; //'Invalid Queueing';
  SInvalidRegistration = 'Registro invlido'; //'Invalid Registration';
  SInvalidBatchMove = 'Movimiento por lotes invlido'; //'Invalid Batch Move';
  SSQLDialectInvalid = 'Dialecto SQL invlido'; //'SQL Dialect Invalid';
  SSPBConstantNotSupported = 'Constante SPB no soportada'; //'SPB Constant Not supported';
  SSPBConstantUnknown = 'Constante SPB desconocida'; //'SPB Constant Unknown';
  SServiceActive = 'No se puede realizar la operacin -- El servicio no est conectado'; //'Cannot perform operation -- service is not attached';
  SServiceInActive = 'No se puede realizar la operacin -- El servicio est conectado'; //'Cannot perform operation -- service is attached';
  SServerNameMissing = 'Falta el nombre del Servidor'; //'Server Name Missing';
  SQueryParamsError = 'Faltan o son incorrectos los parmetros de la consulta'; //'Query Parameters missing or incorrect';
  SStartParamsError = 'Faltan o son incorrectos los parmetros de inicio de la consulta'; //'start Parameters missing or incorrect';
  SOutputParsingError = 'Valor inesperado en la salida del buffer'; //'Unexpected Output buffer value';
  SUseSpecificProcedures = 'ServiceStart genrico no aplicable: Utilice procedimientos especficos para asignar los parmetros de configuracin'; //'Generic ServiceStart not applicable: Use Specific Procedures to set configuration params';
  SSQLMonitorAlreadyPresent = 'La instancia del Monitor SQL ya est presente'; //'SQL Monitor Instance is already present';
  SCantPrintValue = 'No es posible imprimir el valor'; //'Cannot print value';
  SEOFReached = 'SEOFReached';
  SEOFInComment = 'Detectado EOF en comentario'; //'EOF in comment detected';
  SEOFInString = 'Detectado EOF en cadena'; //'EOF in string detected';
  SParamNameExpected = 'Se esperaba un nombre de parmetro'; //'Parameter name expected';
  SSuccess = 'Ejecucin realizada con xito'; //'Successful execution';
  SDelphiException = 'DelphiException %s';
  SNoOptionsSet = 'Sin Opciones de Instalacin seleccionadas'; //'No Install Options selected';
  SNoDestinationDirectory = 'DestinationDirectory sin asignar'; //'DestinationDirectory is not set';
  SNosourceDirectory = 'SourceDirectory sin asignar'; //'SourceDirectory is not set';
  SNoUninstallFile = 'Nombre de Archivo de Desinstalacin no asignado'; //'Uninstall File Name is not set';
  SOptionNeedsClient = 'El componente %s requiere del Cliente para funcionar apropiadamente'; //'%s component requires Client to function properly';
  SOptionNeedsServer = 'El componente %s requiere del Servidor para funcionar apropiadamente'; //'%s component requires Server to function properly';
  SInvalidOption = 'Opcin especificada invlida'; //'Invalid option specified';
  SInvalidOnErrorResult = 'Valor inesperado retornado por onError'; //'Unexpected onError return value';
  SInvalidOnStatusResult = 'Valor inesperado retornado por onStatus'; //'Unexpected onStatus return value';

  SInterbaseExpressVersion = 'InterbaseExpress 4.3';
  SEditSQL = 'Editar SQL'; //'Edit SQL';
  SDPBConstantUnknownEx = 'Constante DPB (%s) desconocida'; //'DPB Constant (%s) is unknown';
  STPBConstantUnknownEx = 'Constante TPB (%s) desconocida'; //'TPB Constant (%s) is unknown';
  SInterbaseExpressVersionEx = 'InterbaseExpress %g';
  SUnknownPlan = 'Error Desconocido - No se puede recuperar el plan'; //'Unknown Error - Can''t retrieve plan';
  SFieldSizeMismatch = 'Error de Tamao - El tamao del campo %s es demasiado pequeo para contener los datos'; //'Size Mismatch - Field %s size is too small for data';
  SEventAlreadyRegistered   = 'Eventos ya registrados anteriormente'; //'Events already registered';
  SStringTooLarge = 'Intentando almacenar una cadena de longitud %d dentro de un campo que slo puede contener %d caracteres'; //'Trying to store a string of length %d into a field that can only contain %d';
  SIBServiceEditor = 'Editor de &Servicios ...'; //'&Service Editor ...';
  SIBSuccessConnect = 'conexin realizada con xito'; //'Successful Connection';
  SNoTimers = 'No hay suficientes temporizadores disponibles'; //'Not enough timers available';
  SIB65feature = '%s es una funcin de Interbase 6.5. Por favor actualice a Interbase 6.5 para usar esta funcionalidad'; //'%s is an InterBase 6.5 function. Please upgrade to InterBase 6.5 to use this functonality';
  SLoginPromptFailure = 'No puedo encontrar el dilogo de login predeterminado. Por favor agregue DBLogDlg a la seccin uses del archivo principal.'; //'Can not find default login prompt dialog.  Please add DBLogDlg to the uses section of your main file.';
  SIBMemoryError = 'Memoria agotada'; //'Out of memory';
  SIBInvalidStatement = 'Sentencia invlida'; //'Invalid statement';
  SIBInvalidComment = 'Comentario invlido'; //'Invalid Comment';
  SIBBrokerOpen = '  Abriendo conexin '; //'  Opening connection ';
  SIBBrokerVersion = 'Iniciando IBConnectionBroker Versin 1.0.1'; //'Starting IBConnectionBroker Version 1.0.1:';
  SIBBrokerDatabase = 'Nombre de base de datos = '; //'Database Name = ';
  SIBBrokerUser = 'Nombre de usuario = '; //'User Name = ';
  SIBBrokerMinConnections = 'Conexiones mnimas = '; //'Min Connections = ';
  SIBBrokerMaxConnections = 'Conexiones mximas ='; //'Max Connections = ';
  SIBBrokerIdleTimer = 'IdleTimer = ';
  SIBBrokerGiveOut = 'gave out connection ';
  SIBBrokerUnavailable = 'No se puede crear una conexin nueva: '; //'Unable to create new connection: ';
  SIBBrokerExhausted = '-----> Connections Exhausted!  Will wait and try again in loop ';
  SIBBrokerNilError = 'Nil database tried to be released';
  SIBBrokerRelease = 'Liberar conexin '; //'Release connection ';
  SIBDatabaseINISection = 'Propiedades de la base de datos'; //'Database Settings';
  SIBDatabaseINISectionEmpty = 'El nombre de seccin no puede estar vaco'; //'Section name can not be empty';
  SIB70feature = '%s es una funcin de Interbase 7.0. Por favor actualice a Interbase 7.0 para usar esta funcionalidad'; //'%s is an InterBase 7.0 function. Please upgrade to InterBase 7.0 to use this functonality';
  SIB71feature = '%s es una funcin de Interbase 7.1. Por favor actualice a Interbase 7.1 para usar esta funcionalidad'; //'%s is an InterBase 7.1 function. Please upgrade to InterBase 7.1 to use this functonality';
  SIB75feature = '%s es una funcin de Interbase 7.5. Por favor actualice a Interbase 7.5 para usar esta funcionalidad'; //'%s is an InterBase 7.5 function. Please upgrade to InterBase 7.5 to use this functonality';
  SIB751feature = '%s es una funcin de Interbase 7.51. Por favor actualice a Interbase 7.51 para usar esta funcionalidad'; //'%s is an InterBase 7.51 function. Please upgrade to InterBase 7.51 to use this functonality';
  SNoVersionInfo = 'La informacin de versin para este servidor no es obtenida'; //'Version infomation for this server is not retreived';

implementation

end.
 